"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomOptions = void 0;
const react_1 = __importDefault(require("react"));
const clsx_1 = __importDefault(require("clsx"));
const CustomOptions = ({ option: { code, name, disabled }, onClick, value, icons }) => {
    return (react_1.default.createElement("div", { onClick: (e) => (!disabled ? onClick(code, e) : null), className: (0, clsx_1.default)('field-radiobutton', {
            'field-radiobutton--active': value === code,
            'field-radiobutton--disabled': disabled
        }) }, icons === null || icons === void 0 ? void 0 :
        icons[code],
        react_1.default.createElement("div", { className: "ml-2" }, name)));
};
exports.CustomOptions = CustomOptions;
